UpdateHarnessEndpoint
Operation to update a harness endpoint.
Request Syntax
PATCH /harnesses/harnessId/endpoints/endpointName HTTP/1.1
Content-type: application/json
{
"clientToken": "string",
"description": "string",
"targetVersion": "string"
}
URI Request Parameters
The request uses the following URI parameters.
- endpointName
-
The name of the endpoint to update.
Pattern:
[a-zA-Z][a-zA-Z0-9_]{0,47}Required: Yes
- harnessId
-
The ID of the harness that the endpoint belongs to.
Pattern:
[a-zA-Z][a-zA-Z0-9_]{0,39}-[a-zA-Z0-9]{10}Required: Yes
Request Body
The request accepts the following data in JSON format.
- clientToken
-
A unique, case-sensitive identifier to ensure idempotency of the request.
Type: String
Length Constraints: Minimum length of 33. Maximum length of 256.
Pattern:
[a-zA-Z0-9](-*[a-zA-Z0-9]){0,256}Required: No
- description
-
A description of the endpoint. If not specified, the existing value is retained.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 256.
Required: No
- targetVersion
-
The harness version that the endpoint points to. If not specified, the existing value is retained.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 5.
Pattern:
([1-9][0-9]{0,4})Required: No
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"endpoint": {
"arn": "string",
"createdAt": "string",
"description": "string",
"endpointName": "string",
"failureReason": "string",
"harnessId": "string",
"harnessName": "string",
"liveVersion": "string",
"status": "string",
"targetVersion": "string",
"updatedAt": "string"
}
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- endpoint
-
The updated endpoint.
Type: HarnessEndpoint object
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
This exception is thrown when a request is denied per access permissions
HTTP Status Code: 403
- ConflictException
-
This exception is thrown when there is a conflict performing an operation
HTTP Status Code: 409
- InternalServerException
-
This exception is thrown if there was an unexpected error during processing of request
HTTP Status Code: 500
- ResourceNotFoundException
-
This exception is thrown when a resource referenced by the operation does not exist
HTTP Status Code: 404
- ServiceQuotaExceededException
-
This exception is thrown when a request is made beyond the service quota
HTTP Status Code: 402
- ThrottlingException
-
This exception is thrown when the number of requests exceeds the limit
HTTP Status Code: 429
- ValidationException
-
The input fails to satisfy the constraints specified by the service.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: